E-MailRelay

Public Member Functions | List of all members
GNet::InterfacesHandler Class Referenceabstract

An interface for receiving notification of network changes. More...

`#include <ginterfaces.h>`

Inheritance diagram for GNet::InterfacesHandler:

## Public Member Functions
virtual void | onInterfaceEvent (const std::string &)=0
| Indicates some network event that might have invalidated the GNet::Interfaces state, requiring a re-load().
virtual | ~InterfacesHandler ()=default
| Destructor.

## Detailed Description

An interface for receiving notification of network changes.

Definition at line 142 of file ginterfaces.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/ginterfaces.h